PDA

Afficher la version complète : [Réglé] Configuration Java



bgarnier
05/02/2006, 13h52
Je suis desabusé de Suse,

Je tente de paramètrer java pour des raisons prof avec une version 1.4.2_05, malgrès la mise en place d'un fichier de configuration specifique à cette version dans le répertoire /etc/java, la création symbolique d'un lien depuis /usr/lib/java-1.4.2_05 vers le répertoire hebergeant ma version 1.4.2_05 et l'execution du Suseconfig hèlas j"obtiens lors de l'execution de la commande en ligne java -version la version 1.4.2_10 et non la version 1.4.2_05.

Voici ci-dessous le contenu de mon fichier de configuration dans /etc/java :
Priority: 25

Vendor : Sun
Version : 1.4.2_05
Devel : True

JAVA_BINDIR = /usr/java/j2sdk1.4.2_05/bin
JAVA_ROOT = /usr/java/j2sdk1.4.2_05
JAVA_HOME = /usr/java/j2sdk1.4.2_05
JRE_HOME = /usr/java/j2sdk1.4.2_05/jre
JDK_HOME = /usr/java/j2sdk1.4.2_05
SDK_HOME = /usr/java/j2sdk1.4.2_05

JAVA_LINK = java-1.4.2_05
Le lien :
lrwxrwxrwx 1 root root 23 2006-01-20 07:26 java-1.4.2_05 -> /usr/java/j2sdk1.4.2_05

Il semble que ce soit la version se trouvant dans le réperrtoire : /usr/lib/jvm/java-1.4.2-sun-1.4.2.10 que trouve Suse.

Que dois-je encore modifier ? (java.conf ??? )

Merci

Cordialement Benoît Garnier.

galagann
05/02/2006, 16h22
Salux,

Je ne comprend pas pourquoi tu n'as pas effectué une installation via Yast2 !

bgarnier
06/02/2006, 19h32
Bonsoir,

je ne souhaite pas une solution qui soit definitive, je souhaite pouvoir utiliser les APIs de la version 1.4.2_05 pour faire des tests sans remettre en cause la configuration de base de Suse.

cordialement benoit

molodoi
07/02/2006, 11h55
Modifie ton fichier .bashrc (si ton shell par défaut est bash) en modifiant la variable d'environnement JAVA_HOME

bgarnier
11/03/2006, 15h22
Merci,

mais la solution ne marche pas car déja mise en place avec un echec retentissant à la hauteur de Suse.

Je découvre également que tomcat versus 4.1.31 refuse de démarrer.

Je découvre qu'il est impossible de lancer une application X sur une machine distante.

Je ne recontre pas les problèmes ci-dessus avec des versions linux red-hat ou debian.

cdl benoit